Discobert is a multimedial toilet experience device

The Setup is pretty custom. It includes:

* Raspberry Pi 3b+
* Relay Board for switching 220V Devices
  * Relay 1:
     * Light Bulb
  * Relay 3:
     * DMX Light
     * Disco Ball + Motor
* PIR sensor
* Door open/closed Sensor
* IR Receiver
* USB to DMX (Anyma uDMX interface)
  * A random DMX Spot
* A random remote
* some speakers

![Discobert Work in Progress](project-images/work-in-progress.jpg)

![Discobert Work in Progress](project-images/final.jpg)

## Install

Use Debian, install apt dependencies

```
sudo apt install git samba mpd libttspico-utils python3-pip python3-rpi.gpio nginx
```
maybe also: `wiringpi espeak mpc`

wiringpi:  
http://wiringpi.com/wiringpi-updated-to-2-52-for-the-raspberry-pi-4b/


Clone this repo

```
cd /home/pi
git clone https://git.notice.at/redplanet/discobert.git
cd discobert
```

configure mpd

```
sudo cp mpd.conf /etc/mpd.conf
```

configure samba share

```
sudo cp smb.conf /etc/samba/smb.conf
```

install pip modules

```
pip3 install -r requirements.txt
```

add systemd service

```
sudo cp disco.service /lib/systemd/system/disco.service
sudo systemctl daemon-reload
```

### Setting up a random remote
Use `irrecord` to create a lirc Config file and copy the generated file in 
`/etc/lirc/lircd.conf.d/your-remotes-name.lircd.conf`  
You can find and edit the used keycodes: `~/discobert/lircrc`


### DMX not working?
download udmx-pyusb:  
Clone https://github.com/dhocker/udmx-pyusb  
... and add user permissions for udmx device
```
sudo cp 98-uDMX-usb.rules /etc/udev/rules.d
```
